Subject: A problem with Lemna

From: [email-masked]
Date: 16 Mar 95 14:10:31 GMT

I'm seeking some advice on how to control a population of duckweed
(Lemna sp.) on my pond. The pond is too large to manually remove the plant so
any advice on an environmentally friendly method would be much appreciated. 

	Thanks in advance,
			Michael.